Subject: Re: Colors.....
From: [email-masked] (Alex Rezinsky)

10 Sep 1998 14:16:12 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Jose I. Cabrera" <[email-masked]>
Cc: [email-masked]

    Hi,

This is fragment from my .bashrc file where I set colors for each prompt
depending on exit status of the previous command.
Hope this will help.

Alex Rezinsky
Motorola Semiconductor Israel
[email-masked]

-------------------------------

# Colors
export fg_black="[30m"
export fg_red="[31m"
export fg_green="[32m"
export fg_yellow="[33m"
export fg_blue="[34m"
export fg_magenta="[35m"
export fg_cyan="[36m"
export fg_white="[37m"
export bg_black="[40m"
export bg_red="[41m"
export bg_green="[42m"
export bg_yellow="[43m"
export bg_blue="[44m"
export bg_magenta="[45m"
export bg_cyan="[46m"
export bg_white="[47m"
export normal="[0m"

        set_promtp_colors()
        {
            if (( $? ))
            then
                prompt_beg=${bg_red}${fg_yellow}
                prompt_end=${normal}
            else
                prompt_beg=${bg_blue}${fg_yellow}
                prompt_end=${normal}
            fi
        }

PROMPT_COMMAND=set_promtp_colors
PS1=' \[${prompt_beg}\]<\!>\[${prompt_end}\] '

Jose I. Cabrera wrote:

> Does anyone knows how to put colors on the bash screen?  I have a nice
> utility called NTSh and it has great colors.  Anyone?
>
> thanks.
> jose
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".